<div
  class="max-w-3xl mx-auto px-4 sm:px-6 md:flex md:items-center md:justify-between md:space-x-5 lg:max-w-7xl lg:px-8">
  <div class="flex items-start space-x-5 divide-x">
    <div>
      <h1 class="text-5xl font-bold text-gray-900">
        {{city_infos.title}} - {{todaysForecast.applicable_date | date:'EEEE, d MMM YYYY'}}
      </h1>
      <p>Last refresh: {{ last_refresh | date:'HH:mm' }}</p>
      <div class="w-2/5 my-4">
        <div (click)="askRefresh()" class="bg-white w-auto px-5 py-2 rounded shadow-sm mt-2 flex justify-center items-center cursor-pointer"><i class="ri-restart-line ri-1x mr-2"></i> Refresh weather data </div>
      </div>
      <h2 class="text-2xl font-bold text-gray-900"> <i class="ri-compass-3-line ri-1x mr-2"></i>Coordinates</h2>
      <p class="text-lg font-medium text-gray-500">Latitude: {{coords.latt}}</p>
      <p class="text-lg font-medium text-gray-500">Longitude:{{coords.long}}</p>

      <h2 class="text-2xl font-bold text-gray-900 mt-2"> <i class="ri-information-line ri-1x mr-2"></i>Other information</h2>
      <p class="text-lg font-medium text-gray-500"> <i class="ri-upload-line ri-1x mr-2"></i>Sunrise:{{city_infos.sun_rise |date:'HH:mm'}}</p>
      <p class="text-lg font-medium text-gray-500"> <i class="ri-download-line ri-1x mr-2"></i>Sunset: {{city_infos.sun_set | date:'HH:mm'}}</p>
      <p class="text-lg font-medium text-gray-500"> <i class="ri-sun-line ri-1x mr-2"></i>Forecasted sunshine: {{sunshine() | date:'HH:mm'}}</p>

    </div>
    <span *ngIf="!outdatedData"
      class="inline-flex items-center px-5 py-0.5 rounded-full text-lg font-medium bg-green-100 text-green-800">
      <svg class="-ml-1 mr-1.5 h-2 w-2 text-green-400" fill="currentColor" viewBox="0 0 8 8">
        <circle cx="4" cy="4" r="3" />
      </svg>
      Live
    </span>
    <span *ngIf="outdatedData"
      class="inline-flex items-center px-3 py-0.5 rounded-full text-sm font-medium bg-red-100 text-red-800">
      <svg class="-ml-1 mr-1.5 h-2 w-2 text-red-400" fill="currentColor" viewBox="0 0 8 8">
        <circle cx="4" cy="4" r="3" />
      </svg>
      Needs refresh
    </span>
  </div>
  <div
    class="mt-6 flex flex-col-reverse justify-stretch space-y-4 space-y-reverse sm:flex-row-reverse sm:justify-end sm:space-x-reverse sm:space-y-0 sm:space-x-3 md:mt-0 md:flex-row md:space-x-3">
    <app-weather-icon [forecast]="todaysForecast"></app-weather-icon>
  </div>
</div>
